From 8a969fae6256eb050c9ba3458cb96b4995fc3b81 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Tue, 13 Dec 2011 13:15:49 -0600
Subject: Fixed SQL problem on postgreSQL databases.

---
 grade/report/grader/db/upgrade.php |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

diff --git a/grade/report/grader/db/upgrade.php b/grade/report/grader/db/upgrade.php
index 9cdbb4f..c4af5cd 100644
--- a/grade/report/grader/db/upgrade.php
+++ b/grade/report/grader/db/upgrade.php
@@ -23,11 +23,20 @@ class grader_manual_items extends gradereport_grader_upgrade_state {
     var $version = 2011120801;
 
     function upgrade($db) {
-        $sql = "UPDATE {grade_grades} gr, {grade_items} gi
-            SET gr.rawgrade = gr.finalgrade
-            WHERE gi.id = gr.itemid AND gi.itemtype = 'manual'";
+        $base_sql = "%s {grade_grades} gr, {grade_items} gi %s " .
+            "WHERE gi.id = gr.itemid AND gi.itemtype = 'manual'";
 
-        return $db->execute($sql);
+        $sql = sprintf($base_sql, "SELECT COUNT(*) FROM", "");
+
+        $count = $db->count_records_sql($sql);
+
+        if (empty($count)) {
+            return true;
+        } else {
+            $sql = sprintf($base_sql, "UPDATE", "SET gr.rawgrade = gr.finalgrade");
+
+            return $db->execute($sql);
+        }
     }
 }
 
-- 
1.7.1


